<!--<div>-->
<!--  <div class="authField">-->

<!--    <div class="pb-3 pt-4 centerText"><h3>Авторизация</h3></div>-->

<!--    <div class="mb-3 px-5">-->
<!--      <input type="text" class="form-control" id="exampleFormControlInput9" placeholder="Логин"-->
<!--             [(ngModel)]="this.userAuth.email">-->
<!--    </div>-->

<!--    <div class="mb-3 px-5">-->
<!--      <input type="text" class="form-control" id="exampleFormControlInput10" placeholder="Пароль"-->
<!--             [(ngModel)]="this.userAuth.password">-->
<!--    </div>-->

<!--    <button class="btn btn-success authSubmit d-grid col-5 mx-auto mt-4 mb-2" (click)="this.login()"-->
<!--            routerLink="auth/register">-->
<!--      Войти-->
<!--    </button>-->

<!--    <div class="centerText pb-2"><span class="link">Забыли пароль?</span></div>-->

<!--    <div class="leftSidebar_item" routerLink="/auth/register"-->
<!--         routerLinkActive="active-link">Производители-->
<!--    </div>-->

<!--    <a class="leftSidebar_item" routerLink="/auth/register"-->
<!--         routerLinkActive="active-link">MainLnk-->
<!--    </a>-->


<!--    <div class="centerText pb-4"><span>Нет аккаунта? </span>-->
<!--      <span class="link" routerLink="register" routerLinkActive="active-link"-->
<!--      >Зарегистрироваться</span>-->
<!--    </div>-->
<!--  </div>-->

<!--</div>-->

<section class="h-100 gradient-form" style="background-color: #4454C1;">
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-xl-10">
        <div class="card rounded-3 text-black">
          <div class="row g-0">
            <div class="col-lg-6">
              <div class="card-body p-md-5 mx-md-4">

                <div class="text-center mt-1 mb-4 pb-1">
                  <img src="./assets/img/auth/entry-03.jpg" style="width: 275px;" alt="logo">
<!--                  <h4 class="mt-1 mb-5 pb-1">We are The Lotus Team</h4>-->
                </div>
                <form [formGroup]="loginForm" novalidate>
                  <p>Please login to your account</p>
                  <!-- email -->
                  <div class="form-outline mb-4">
                    <input type="email" formControlName="email" id="form2Example11"
                           class="form-control"
                           placeholder="Email address or Username"/>
                    <label class="form-label" for="form2Example11">Username</label>
                    <div
                      *ngIf="loginForm.controls['email'].invalid && (loginForm.controls['email'].dirty || loginForm.controls['email'].touched)"
                      class="alert alert-danger">
                      <div *ngIf="loginForm.controls['email'].errors?.['email']">
                        Необходимо ввести email.
                      </div>
                    </div>
                  </div>
                  <!-- password -->
                  <div class="form-outline mb-4">
                    <input type="password" formControlName="password" id="form2Example22"
                           class="form-control" />
                    <label class="form-label" for="form2Example22">Password</label>
                    <div
                      *ngIf="loginForm.controls['password'].invalid && (loginForm.controls['password'].dirty || loginForm.controls['password'].touched)"
                      class="alert alert-danger">
                      <div *ngIf="loginForm.controls['password'].errors?.['password']">
                        Необходимо ввести пароль минимум 5 символов.
                      </div>
                    </div>
                  </div>

                  <div class="text-center pt-1 mb-5 pb-1">
                    <button class="btn btn-primary btn-block fa-lg gradient-custom-2 mb-3 col-12"
                            type="button" [disabled]="loginForm.pristine || loginForm.invalid"
                            (click)="this.readAndValidationData()">Log in</button>
                    <a class="text-muted" href="#!">Forgot password?</a>
                  </div>

                  <div class="d-flex align-items-center justify-content-center pb-4">
                    <p class="mb-0 me-2">У вас еще нет аккаунта?</p>
                    <button type="button" class="btn btn-outline-danger" routerLink="/auth/register"
                            routerLinkActive="active-link">Зарегистрироваться
                    </button>
                  </div>

                </form>
              </div>
            </div>
            <div class="col-lg-6 d-flex align-items-center gradient-custom-2">
              <div class="text-white px-3 py-4 p-md-5 mx-md-4">
                <h1 class="mb-6">Подготовка к собеседованию</h1>
                <p class="small mb-0 fs-6">Вам будет предложен ряд вопросов с вариантамми ответа на
                  них</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
